Lente
Criar análise da Lente
Reserva um envio privado para uma análise de localização ou comparação facial.
POST
/
lente
/
analyses
Criar análise da Lente
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/lente/analyses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"file": {
"size_bytes": 7864320,
"sha256": "<string>"
}
}
'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/lente/analyses"
payload = { "file": {
"size_bytes": 7864320,
"sha256": "<string>"
} }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({file: {size_bytes: 7864320, sha256: '<string>'}})
};
fetch('https://221b-api.sherlocker.com.br/api/v1/lente/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/lente/analyses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file' => [
'size_bytes' => 7864320,
'sha256' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/lente/analyses"
payload := strings.NewReader("{\n \"file\": {\n \"size_bytes\": 7864320,\n \"sha256\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/lente/analyses")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file\": {\n \"size_bytes\": 7864320,\n \"sha256\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/lente/analyses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file\": {\n \"size_bytes\": 7864320,\n \"sha256\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "lente_analysis",
"mode": "geo",
"status": "awaiting_upload",
"file": {
"media_type": "image/jpeg",
"size_bytes": 123,
"sha256": "<string>",
"upload_status": "pending"
},
"billing": {
"status": "not_charged",
"amount": 123,
"unit": "tokens"
},
"artifacts": [
{
"id": "<string>",
"type": "input_image",
"status": "available",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"available_until": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"upload": {
"method": "PUT",
"url": "<string>",
"headers": {},
"expires_at": "2023-11-07T05:31:56Z"
},
"result": {},
"failure": {},
"poll_after_seconds": 123,
"submitted_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Maximum string length:
255Body
application/json
Response
Análise criada com instruções de upload
Available options:
lente_analysis Available options:
geo, face Available options:
awaiting_upload, queued, running, completed, failed, cancelled, expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Presente enquanto o arquivo aguarda envio.
Show child attributes
Show child attributes
Hipóteses e evidências do modo selecionado.
⌘I
Criar análise da Lente
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/lente/analyses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"file": {
"size_bytes": 7864320,
"sha256": "<string>"
}
}
'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/lente/analyses"
payload = { "file": {
"size_bytes": 7864320,
"sha256": "<string>"
} }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({file: {size_bytes: 7864320, sha256: '<string>'}})
};
fetch('https://221b-api.sherlocker.com.br/api/v1/lente/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/lente/analyses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file' => [
'size_bytes' => 7864320,
'sha256' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/lente/analyses"
payload := strings.NewReader("{\n \"file\": {\n \"size_bytes\": 7864320,\n \"sha256\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/lente/analyses")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file\": {\n \"size_bytes\": 7864320,\n \"sha256\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/lente/analyses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file\": {\n \"size_bytes\": 7864320,\n \"sha256\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "lente_analysis",
"mode": "geo",
"status": "awaiting_upload",
"file": {
"media_type": "image/jpeg",
"size_bytes": 123,
"sha256": "<string>",
"upload_status": "pending"
},
"billing": {
"status": "not_charged",
"amount": 123,
"unit": "tokens"
},
"artifacts": [
{
"id": "<string>",
"type": "input_image",
"status": "available",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"available_until": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"upload": {
"method": "PUT",
"url": "<string>",
"headers": {},
"expires_at": "2023-11-07T05:31:56Z"
},
"result": {},
"failure": {},
"poll_after_seconds": 123,
"submitted_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}